Agent BrainsAgent Brains
APICategories

List all categories

Retrieves a list of all categories with filtering options.

GET
/knowledge-base/categories
x-api-key<token>

Preferred authentication header.

In: header

Query Parameters

extended?boolean
fields?unknown

Comma-separated list of fields to include.

search?unknown
parent?unknown

Use 'null' to get top-level categories.

policy?unknown
categoryAlias?unknown

Response Body

application/json

curl -X GET "https://api.agent-brains.com/knowledge-base/categories"
[
  {
    "_id": "string",
    "name": "string",
    "description": "string",
    "categoryAlias": "string",
    "policy": "string",
    "parent": {},
    "children": [
      "string"
    ],
    "entities": [
      "string"
    ],
    "permissions": {
      "canDelete": true,
      "canChangeHierarchy": true
    },
    "createdAt": "string",
    "updatedAt": "string"
  }
]
Empty